Subject: Re: README update proposition

From: Junio C Hamano <[email-masked]>
Date: Fri, 16 Jan 2026 09:09:53 -0800

Oskar Jaskólski <[email-masked]> writes:

> @@ -16,15 +16,20 @@ standard Git installation.
>  You need to have the following dependencies installed before you begin:
>  
>  - Git
> -- Tcl
> -- Tk
> -- wish
> -- Gitk (needed for browsing history)
> +- wish (Tcl/Tk runtime required to run the Git GUI)
> +- Gitk (optional, needed for browsing history)

Hiding the mention of Tcl/Tk may be a small regression for users
depending on what distribution is on.  On Debian based systems,
"wish" is merely a virtual package and the package to install is
"tk", for example.

Is Gitk truly "optional"?  When running git-gui there are a few menu
items that invoke gitk.  Does the rest of the document inform users
well enough to avoid touching these features?  I'd think that we
would rather want the README talk about giving a fairly complete
installation without such limitation.

The parenthesized explanation on "wish" is a good addition, though,
and we may want to keep it even if we were to drop everything else
in this patch.

> -Most of Git GUI is written in Tcl, so there is no compilation involved. Still,
> -some things do need to be done (mostly some substitutions), so you do need to
> -"build" it.
> +Git GUI is implemented in Tcl/Tk and is executed as a script via the `wish`
> +runtime. If `wish` is available in your PATH, no separate Tcl or Tk installation
> +is required.

If this were in the end-user instruction, being clear and concise
like the updated text is a very good thing, BUT because this is in
the building-and-installing section, I doubt this is a good change.

The build procedure (in git-gui/Makefile), would try to run "tclsh"
which is often found in the Tcl package, when it needs to use po2msg
on a system without msgfmt, which are all part of the install/build
procedure.  Again, if somebody already built git-gui for you, I
agree that all you need to have is "wish" and "gitk", but that is
not the target audience of this section, is it?